Subject: Re: bug#26815: [PATCH 3/3] vm: Support EFI boot in base image.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 16 May 2017 17:17:33 +0200

Hi Marius!

Marius Bakke <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hello!
>>
>> Mathieu Othacehe <[email-masked]> skribis:
>>
>>>> I think v4 is being prepared, I'll rebase this series once that is out.
>>
>> Thanks Marius for bearing with me.  :-)
>>
>> Are there specific bits that are needed here?
>
> The main reason it's blocking is that without it, there is a conflict
> between "grub" and "grub-efi" in PATH of the qemu image. So
> "grub-mkstandalone" may not find the EFI target.
>
> With the bootloader refactoring, the "normal" bootloader is passed down
> as a gexp from (gnu system vm), allowing "grub-efi" to reign over PATH.

Mathieu just pushed the bootloader patch series in ‘master’.

However, for the release, I thought it’d be more reasonable to not rush
that patch series, which is why the new ‘version-0.13.0’ branch does not
have it.

So now the question is, how can we merge your UEFI work?  How much work
is it to have it on ‘version-0.13.0’ without merging all the of the
bootloader patch series?

It would be awesome if we could quickly find a way to address this, so
we can indeed release tomorrow or later this week.

TIA,
Ludo’.